Subject: Common Console for Remote GDB
From: [email-masked]

16 Nov 1998 22:37:56 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

> Hello all,
> 
> I've used a system in the past which used a single serial port on a
> target system
> for both console I/O and gdb.  After activating gdb on the target with
> a console
> command we would detach and then target gdb to the same serial
> connection
> from under emacs.  We could then do debugging as well as console input
> and
> output when the target was running.  I am now trying to re-create this
> past,
> although I didn't do the original.
> 
> Has anyone done this who can offer suggestions?  I've kludged up
> getpkt in
> remote.c so that it put_char's junk between packets, and that seems to
> get
> me my output OK, but so far I've failed at trying to get input
> characters using
> rl_gather_tyi(), rl_getchar, and SERIAL_WRITE while waiting for an rx
> packet.
> The call to rl_gather_tyi causes a STATUS_ACCESS_VIOLATION.
> 
> Any help greatly appreciated.
> 
> Thanks,
> 
>   Mike Ford
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".